summaryrefslogtreecommitdiff
path: root/libs/glibmm2
diff options
context:
space:
mode:
authorPaul Davis <paul@linuxaudiosystems.com>2007-02-22 20:50:35 +0000
committerPaul Davis <paul@linuxaudiosystems.com>2007-02-22 20:50:35 +0000
commit777616a24d2dec9cef2895bb4e91cddbe411fc3f (patch)
tree2f7ec72900319db3a6a372aca6018aa3a1ee1d40 /libs/glibmm2
parent8a5713f57febadc031f638f59e78e75cdf25afc4 (diff)
explicitly check for autocrap tools from the autogen.sh scripts
git-svn-id: svn://localhost/ardour2/trunk@1491 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'libs/glibmm2')
-rwxr-xr-xlibs/glibmm2/autogen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/libs/glibmm2/autogen.sh b/libs/glibmm2/autogen.sh
index c58ddd27a2..f2f287d325 100755
--- a/libs/glibmm2/autogen.sh
+++ b/libs/glibmm2/autogen.sh
@@ -1,5 +1,27 @@
#! /bin/sh
+# check all tools first
+
+if /usr/bin/which libtoolize >/dev/null 2>&1 ; then
+ :
+else
+ echo "You do not have libtool installed, which is very sadly required to build part of Ardour"
+ exit 1
+fi
+if /usr/bin/which automake >/dev/null 2>&1 ; then
+ :
+else
+ echo "You do not have automake installed, which is very sadly required to build part of Ardour"
+ exit 1
+fi
+if /usr/bin/which autoconf >/dev/null 2>&1 ; then
+ :
+else
+ echo "You do not have autoconf installed, which is very sadly required to build part of Ardour"
+ exit 1
+fi
+
+
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.